class Singleton(object):

    _instance = None

    def __new__(cls, *args, **kwargs):
        if not cls._instance:
            cls._instance = super(Singleton, cls).__new__(cls, *args, **kwargs)
        return cls._instance

if __name__ == '__main__':
    a = Singleton()
    b = Singleton()

    print "a = %s" % (a)
    print "b = %s" % (b)
